Packages - Bug #1819

[xf86-video-vesa]: X fails to start
2018-05-21 10:50 PM - bill-auger

Status: open % Done: 0%
Priority: critical

Assignee: Megver83

Category:

Description

this was posted to the mailing list - two uesrs have the same problem
https:/lists.parabola.nu/pipermail/assist/2018-May/001108.html

I've recently updated Parabola, and X stop working. Some error with vesa driver (wich I've been using since few years from now).
Here is my Xorg.0.log

X.0rg X Server 1.20.0
X Protocol Version 11, Revision 0

[ 24.948] Build Operating System: Linux Arch Linux

[ 24.948] Current Operating System: Linux parabolaSebas64 4.16.8-gnu-1 #1 SMP PREEMPT Sat May 1
2 03:07:44 UTC 2018 x86_64

[ 24.948] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-linux—-libre root=UUID=cel436e8-11c2-44d

b-9903-2f02d168a5f1 rw
24.948] Build Date: 16 May 2018 05:24:07PM

[

[ 24.948]

[ 24.948] Current version of pixman: 0.34.0

[ 24.948] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.

[ 24.948] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,

(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
24.949] (==) Log file: "/home/sebas/.local/share/xorg/Xorg.0.log", Time: Sun May 20 01:18:37

[
2018
[ 25.000] (==) Using config directory: "/etc/X1ll/xorg.conf.d"
[ 25.000] (==) Using system config directory "/usr/share/X1ll/xorg.conf.d"
[ 25.039] (==) No Layout section. Using the first Screen section.
[ 25.039] (**) |-->Screen "ScreenO" (0)
[ 25.039] (**) | | -—>Monitor "MonitorQ"
[ 25.039]1 (**) | | -——>Device "DeviceO"
[ 25.039] (==) Automatically adding devices
[ 25.039] (==) Automatically enabling devices
[ 25.039] (==) Automatically adding GPU devices
[ 25.039] (==) Automatically binding GPU devices
[ 25.039] (==) Max clients allowed: 256, resource mask: Ox1fffff
[ 25.073] (Ww) "~ fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi".
[ 25.073] Entry deleted from font path.
[ 25.073] (Run 'mkfontdir' on "/usr/share/fonts/100dpi").
[ 25.073] (Ww) "~ fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi".
[ 25.073] Entry deleted from font path.
[ 25.073] (Run 'mkfontdir' on "/usr/share/fonts/75dpi") .
[ 25.073] (==) FontPath set to:
/usr/share/fonts/misc,
/usr/share/fonts/TTF,
/usr/share/fonts/OTF,
/usr/share/fonts/Typel
[ 25.073] (==) ModulePath set to "/usr/lib/xorg/modules"
[ 25.073] (II) The server relies on udev to provide the list of input devices.

If no devices become available, reconfigure udev or disable AutoAddDevices.
25.073] (II) Module ABI versions:

[

[ 25.073] X.0rg ANSI C Emulation: 0.4
[ 25.073] X.0rg Video Driver: 24.0

[ 25.073] X.0rg XInput driver : 24.1
[ 25.073] X.0rg Server Extension : 10.0
[ 25.074] (++) using VT number 1

25.076] (II) systemd-logind: took control of session /org/freedesktop/loginl/session/cl

25.078] (-—) PCI:*(1Q0:0:0) 1039:6351:1043:82c9 rev 16, Mem @ 0xd0000000/268435456, Oxfebe000
/131072, I/0 @ 0x0000ec00/128, BIOS @ 0x????2?2?22?2/131072

25.078] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)

25.078] (II) LoadModule: "glx"

25.110] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so

25.187] (II) Module glx: vendor="X.Org Foundation"

25.187] compiled for 1.20.0, module version = 1.0.0

25.187] ABI class: X.0Org Server Extension, version 10.0

25.187] (II) LoadModule: "vesa"

25.188] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so

25.201] (II) Module vesa: vendor="X.0Org Foundation"

25.201] compiled for 1.20.0, module version = 2.4.0
25.201] Module class: X.0Org Video Driver
25.201] ABI class: X.Org Video Driver, version 24.0

[
[
0
[
[
[
[
[
[
[
[
[
[
[
[
[ 25.201] (II) VESA: driver for VESA chipsets: vesa
[ 25.201] xf86EnablelIOPorts: failed to set IOPL for I/O (Operation not permitted)
[ 25.201] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[ 25.201] (II) Loading sub module "vbe"
[ 25.201]1 (II) LoadModule: "vbe"
[ 25.202] (II) Loading /usr/lib/xorg/modules/libvbe.so
[ 25.210] (II) Module vbe: vendor="X.Org Foundation"
[ 25.210] compiled for 1.20.0, module version = 1.1.0
[ 25.210] ABI class: X.Org Video Driver, version 24.0
[ 25.210] (II) Loading sub module "intl10"
[ 25.211] (II) LoadModule: "intlO"
[ 25.211] (II) Loading /usr/lib/xorg/modules/libintl10.so
[ 25.217] (II) Module intl0: vendor="X.Org Foundation"
[ 25.217] compiled for 1.20.0, module version = 1.0.0
[ 25.217] ABI class: X.Org Video Driver, version 24.0
[ 25.217] (II) VESA(0): initializing intl0
[ 25.217]1 (EE) VESA(0): Cannot read int vect
[ 25.217]1 (II) UnloadModule: "vesa"
[ 25.217]1 (II) UnloadSubModule: "intl1l0O"
[ 25.217] (II) Unloading int10
[ 25.217]1 (II) UnloadSubModule: "vbe"
[ 25.217] (II) Unloading vbe
[ 25.217] (EE) Screen(s) found, but none have a usable configuration.
[ 25.217] (EE)
Fatal server error:
[ 25.217]1 (EE) no screens found (EE)
[ 25.217] (EE)
Please consult the The X.0Org Foundation support
at http://wiki.x.org

for help.

[ 25.217] (EE) Please also check the log file at "/home/sebas/.local/share/xorg/Xorg.0.log" for
additional information.

[ 25.217]1 (EE)

[ 25.219] (EE) Server terminated with error (1). Closing log file.

| ask in the Xorg list, and someone mention this:
May 21, 2018 6:31 PM, "Adam Jackson" &lt;ajax@nwnk.net&gt; wrote:
On Mon, 2018-05-21 at 17:12 40000, G. Sebastiadn Pedersen wrote:

> [ 25.201] (II) VESA: driver for VESA chipsets: vesa
> [ 25.201] xf86EnableIOPorts: failed to set IOPL for I/O (Operation not permitted)

Pretty sure this means your X server isn't running as root, and needs
to be.

I tried running X as root with no luck (although don't remember if
the specific error you point disapper. Could check it when got home.

2024-04-10 2/7




The rest remains the same, I'm pretty sure about that.)

The other possibility | can think of is that your kernel has been

locked down hard enough that userspace isn't allowed to access I/O

ports. CONFIG_STRICT_DEVMEM might be guilty here. There's not been any
changes in either xserver 1.20 or vesa 2.4.0 that should cause this,

though.

History

#1 - 2018-05-21 10:52 PM - bill-auger
- Description updated

#2 - 2018-05-21 11:11 PM - ovruni

| think it's a xorg-server error.

#3 - 2018-05-22 04:18 AM - nona

| am sorry for not being able to provide more debugging information. | took the chance to mess-up my computer to try a fresh install of Parabola with
OpenRC, and | haven't been able to login beyond the virtual terminal. | think that | will try to install Parabola with systemD again. Also, sorry for not
filing a bug report myself. Thank you!

#4 - 2018-05-23 02:59 PM - sebasped
bill-auger wrote:

this was posted to the mailing list - two uesrs have the same problem
https://lists.parabola.nu/pipermail/assist/2018-May/001108.html

I've recently updated Parabola, and X stop working. Some error with vesa driver (wich I've been using since few years from now).
Here is my Xorg.0.log
(-]
| ask in the Xorg list, and someone mention this:
May 21, 2018 6:31 PM, "Adam Jackson" <ajax@nwnk.net> wrote:
On Mon, 2018-05-21 at 17:12 +0000, G. Sebastian Pedersen wrote:
[ 25.201] (ll) VESA: driver for VESA chipsets: vesa
[ 25.201] xf86EnablelOPorts: failed to set IOPL for I/O (Operation not permitted)
Pretty sure this means your X server isn't running as root, and needs
to be.
| tried running X as root with no luck (although don't remember if
the specific error you point disapper. Could check it when got home.
The rest remains the same, I'm pretty sure about that.)
The other possibility | can think of is that your kernel has been
locked down hard enough that userspace isn't allowed to access 1/O
ports. CONFIG_STRICT_DEVMEM might be guilty here. There's not been any
changes in either xserver 1.20 or vesa 2.4.0 that should cause this,
though.

ovruni wrote:

I think it's a xorg-server error.

From the xorg mailing list:

dz1125.bug.tracker (May 22, 2018 2:54 PM)
To: xorg@lists.x.org

On Mon, 2018-05-21 at 17:12 +0000, G. Sebastian Pedersen wrote:

[ 25.201] (ll) VESA: driver for VESA chipsets: vesa
[ 25.201] xf86EnablelOPorts: failed to set IOPL for I/O (Operation not permitted)
Pretty sure this means your X server isn't running as root, and needs
to be.

- gjax

Probably related to https:/bugs.freedesktop.org/show_bug.cgi?id=106588

#5 - 2018-05-23 03:02 PM - Anonymous

| have the exact same problem, using openrc with nouveau or vesa drivers on a fresh install.
#6 - 2018-05-23 03:23 PM - Anonymous

logging as root and running “startx” allows i3 to start successfully

but | have another error: "dbus-core: error connecting to system bus"

| changed /etc/X11/xinitrc/xinitrc default to just "exec i3" line and the dbus error went away
installing the whole xorg group package solved the font problem

#7 - 2018-05-23 08:25 PM - Anonymous

| did another fresh install but with systemd this time and there is no similar bug. It may be caused in some way by a package related to openrc.

#8 - 2018-05-23 09:06 PM - bill-auger

- Assignee set to Megver83

very good - it looks like that bug is pretty much identified and reproducible and related to openrc - i will assign the issue to our openrc expert

#9 - 2018-05-25 08:32 AM - nona
- File Ispci-vvnnn added

- File Iscpu added

- File Xorg.0.log added

I just did a fresh install with Linux parabolaiso 4.13.11-gnu-1 #1 SMP PREEMPT Fri Nov 3 21:09:48 CET 2017 x86_64 GNU/Linux (the complete
install which uses calamares and installs MATE with systemD). | did not use Internet. Result: | get a blinking cursor. | can change to tty2 and log-in.

It could be related to a missing amdgpu module in mkinitcpio.conf.

Will update the system and let you know.

#10 - 2018-05-25 08:36 PM - Megver83

If X fails to start with OpenRC when running as non-root, | suppose that it's because you didn't read our wiki

https://wiki.parabola.nu/OpenRC#Launch_X11_without_root_access

#11 - 2018-05-25 08:47 PM - Megver83

Or it could be that you don't have the xf86-video-amdgpu driver package?
#12 - 2018-05-25 09:53 PM - bill-auger
how did the people with this problem install the system?

'xf86-video-amdgpu' is part of the 'xorg-drivers' group - the graphical installer would have installed it - some of the ncurses installers may have
installed it and some may not have

#13 - 2018-06-11 05:33 AM - nona

| can confirm that “xf86-video-amdgpu' is there. | created a live USB and installed from there**. The live USB installed the systemd version of
Parabola, which | am running. | have no graphical interface at the moment. This is obviously NOT limited to OpenRC.

| also installed i3, and replaced /etc/X11/xinit/xinitrc with the single line “exec i3'. That didn't solve the issue.

e Since | could not boot with EFI mode with the Parabola USB, the process was more like: boot with live USB from Parabola in BIOS MBR mode,
install on a clean external drive, do whatever it takes to encrypt the internal HD with GPT, decrypt the HD, copy the filesystem from the external
drive to the decrypted HD, create a live USB with another OS and boot with UEFI (let's call it Trisquel), chroot into the decrypted HD, install
efibootmgr, grub-install with efi on HD, and do not ever try to add the encryption hoook to calamares. Oh, and Trisquel runs well.

#14 - 2018-06-11 07:53 AM - bill-auger
are you certain this is not a problem only with starting i3 ?
have you tried any other WM/DE ?
or running simply “startx™ as root ?
this was some time ago - has anyone tried simply pacman -Syu lately ?
sry if i am short on idea here - so far the only clue anyone has given that may point to some peculiarity is that you are trying to start i3-
note that last part abouyt EFI, encryption calamares, and trisquel was almost certainly not relevant to this discussion
#15 - 2018-06-12 02:55 AM - nona
bill-auger wrote:
are you certain this is not a problem only with starting i3 ?
Yes, before this odyssey, | had a running system with MATE (not my favourite). | updated one day and rebooted to a blinking cursor. | know for sure
that there was a lightdm.

have you tried any other WM/DE ?

Idem

or running simply “startx™ as root ?

Yes

this was some time ago - has anyone tried simply pacman -Syu lately ?

| have

sry if i am short on idea here - so far the only clue anyone has given that may point to some peculiarity is that you are trying to start i3-
Thanks. It's frustrating, as you can imagine. No passive-aggressiveness, but | am considering to just switch to something else which allows me to use
my computer. | only say this because the solution may never be found (and it seems that | am the only one affected, anyway). (Humour ahead.) Now,
if you want to teach me how to do a dual boot to another Linux operating system with my GPT and encrypted HD (I haven't figured it out), we can stay

here forever until a solution is found :P .

note that last part abouyt EFI, encryption calamares, and trisquel was almost certainly not relevant to this discussion

It was a response to:

how did the people with this problem install the system?

It seems that the documentation here [[https://wiki.parabola.nu/Get_Parabola]] has changed since my last download. | will try with this [[
https://repomirror.parabola.nu/iso-beta/systemd-Ixde-2017.11.05/parabola-systemd-Ixde-dual-complete-2017.11.06-03.42-alpha.isq]] (although | fear
that it's the one that | already have). Heck, | may even try the OpenRC live ISO which has never worked for me.

If in the mean time, you can help me with this: [[https:/labs.parabola.nu/issues/1750#note-6]], | would appreciate it. Thanks!

P.S. I think that this line: "Notes on the different editions and variants" is wrong (triple quotes) here: [[
https://wiki.parabola.nu/Get_Parabola#About_Parabola_ GNU.2FLinux-libre_Release Images_and_lInstallers]]

#16 - 2018-06-12 03:46 AM - bill-auger

this is also the first time you mentioned you were using GPT or disk encryption - those could also be factors - personally i would suggest to create a
MBR partition and install parabola without encryption at least once to make sure your computer and all of it's hardware are compatible with parabola -
only after then would i attempt any more elaborate configurations
today the freshest ISOs are the systemd/CLI ISOs - there is a new set of openrc/CLI ISOs that may be ready go up today and the LXDE ISOs will be
following soon afterward

issue #1750 "linux-libre does not boot" is already assigned to our kernel expert Megver83 - keep poking him if you think he is not being helpful
enough - i can see you posed your dmesg output 17 days ago as he requested - i am not sure why he has not responded yet - if you are on IRC you
could try grabbing him sometime or sending him an email directly - but he should be getting each comment to his assigned issues by email already -
next time i see him on IRC i will ask him to help you on issue #1750

#17 - 2018-06-12 09:10 AM - nona

bill-auger wrote:

this is also the first time you mentioned you were using GPT or disk encryption

| was using BIOS MBR before | got the first blinking cursor. It was only after | reinstalled that | tried with the GPT, UEFI and all that. | am glad that |
managed to finally make it boot. Unfortunately, it did not fix my problems.

- those could also be factors - personally i would suggest to create a MBR partition and install parabola without encryption at least once to make
sure your computer and all of it's hardware are compatible with parabola - only after then would i attempt any more elaborate configurations

As | said, it was running partially fine (no reboot, no suspend, no shutdown). | installed into a USB stick (as if it was a hard-drive, not live USB), and
got the same smiling underscore symbol.

today the freshest ISOs are the systemd/CLI ISOs - there is a new set of openrc/CLI ISOs that may be ready go up today and the LXDE ISOs
will be following soon afterward

| already installed with what | mentioned. | had the courage of trying the OpenRC. | hoped it worked, but it didn't.

issue #1750 "linux-libre does not boot" is already assigned to our kernel expert Megver83 - keep poking him if you think he is not being helpful
enough - i can see you posed your dmesg output 17 days ago as he requested - i am not sure why he has not responded yet - if you are on IRC
you could try grabbing him sometime or sending him an email directly - but he should be getting each comment to his assigned issues by email
already - next time i see him on IRC i will ask him to help you on issue #1750

Thank you very, very much. | think that | am going to give up with this. | will come back in the future, | am sure. | cannot be dealing with a non-booting
system; call it an addiction :P !. | wish you all the best.

By the way, you need to remove some athk firmware from the package list in the OpenRC live ISO installation.

#18 - 2018-06-17 05:05 AM - nona

nona wrote:
bill-auger wrote:

this is also the first time you mentioned you were using GPT or disk encryption

| was using BIOS MBR before | got the first blinking cursor. It was only after | reinstalled that | tried with the GPT, UEFI and all that. | am glad
that | managed to finally make it boot. Unfortunately, it did not fix my problems.

| am now running an old version of Parabola with GPT, FDE (full disk encryption) on the same computer. It runs well. | can work. | have a free OS.
That's enough for me.

$ uname -r

4.9.64-gnu-1-1ts

$ mate-about

MATE Desktop Environment 1.18.0
$ man xinit

xinit 1.3.4

$ lightdm --version

lightdm 1.24.0

If there is any information that you may need, let me know. | will only update after testing in virtual machines from now on.

Files
Xorg.0.log 14.2 KB 2018-05-25 nona
Iscpu 1.41 KB 2018-05-25 nona
Ispci-vvnnn 41.9 KB 2018-05-25 nona
